The Open Group Base Specifications Issue 6
IEEE Std 1003.1, 2004 Edition
Copyright © 2001-2004 The IEEE and The Open Group, All Rights reserved.

#### NAME

> getsid - get the process group ID of a session leader

#### SYNOPSIS

> ``[XSI] #include <unistd.h>
> pid_t getsid(pid_t` pid`);``
> `
> `

#### DESCRIPTION

> The getsid() function shall obtain the process group ID of the process that is the session leader of the process specified by pid. If pid is (pid_t)0, it specifies the calling process.

#### RETURN VALUE

> Upon successful completion, getsid() shall return the process group ID of the session leader of the specified process. Otherwise, it shall return (pid_t)-1 and set errno to indicate the error.

#### ERRORS

> The getsid() function shall fail if:

> [EPERM]
>   The process specified by pid is not in the same session as the calling process, and the implementation does not allow access to the process group ID of the session leader of that process from the calling process.
> [ESRCH]
>   There is no process with a process ID equal to pid.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> exec(), fork(), getpid(), getpgid(), setpgid(), setsid(), the Base Definitions volume of IEEE Std 1003.1-2001, <unistd.h>

#### CHANGE HISTORY

> First released in Issue 4, Version 2.

#### Issue 5

> Moved from X/OPEN UNIX extension to BASE.

End of informative text.

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
[ Main Index | XBD | XCU | XSH | XRAT ]